#import "OpatechClearsaleFlutterPlugin.h"
@import CSBehavior;

@implementation OpatechClearsaleFlutterPlugin

+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
  FlutterMethodChannel* channel = [FlutterMethodChannel
      methodChannelWithName:@"opatech_clearsale_flutter"
            binaryMessenger:[registrar messenger]];
  OpatechClearsaleFlutterPlugin* instance = [[OpatechClearsaleFlutterPlugin alloc] init];
  [registrar addMethodCallDelegate:instance channel:channel];
}

NSString *fingerPrint;
- (void)handleMethodCall:(FlutterMethodCall*)call result:(FlutterResult)result {
  if ([@"config" isEqualToString:call.method]) {
    fingerPrint = call.arguments[@"fingerPrint"];
    result(@"ios success");
  }else if ([@"getBehaviourSessionId" isEqualToString:call.method]) {
    CSBehavior *behavior = [CSBehavior getInstance:fingerPrint];
    NSString *sessionId =  [behavior generateSessionId];
    [behavior collectDeviceInformation:sessionId];
    result(sessionId);
  } else {
    result(FlutterMethodNotImplemented);
  }
}

@end
